Module
Contents
Index 🔎︎

# Function Statement

Definierar en subrutin med ett returvärde.

## Syntax

se Parameter

## Parametrar:

Syntax

Function Namn[(Parameter1 [As Variabeltyp][, Parameter2 [As Variabeltyp][,...]]]) [As Returvärdestyp]

statementblock

[Exit Function]

statementblock

End Function

Parameter

Namn: Namnet på den subrutin som beräknar det värde som funktionen returnerar.

VarName: Parameter som ska skickas till subrutinen.

F: Nyckelord som definierar variabeltyp.

## Exempel:

    Sub ExampleExit

    Dim sReturn As String

    Dim sListArray(10) As String

    Dim siStep As Single

        For siStep = 0 to 10  ' Fyll matrisen med testdata

            sListArray(siStep) = chr$(siStep + 65)

            MsgBox sListArray(siStep)

        Next siStep

        sReturn = LinSearch(sListArray(), "B")

        Print sReturn

    End Sub

    Function LinSearch( sList(), sItem As String ) As Integer

    Dim iCount As Integer

    ' Funktionen LinSearch söker igenom en TextArray:sList() efter en TextEntry:

    ' Returvärdet är elementets index eller 0 (Null)

        For iCount=1 To Ubound( sList() )

            If sList( iCount ) = sItem Then

                Exit For ' Hittade sItem

            End If

        Next iCount

        If iCount = Ubound( sList() ) Then iCount = 0

        LinSearch = iCount

    End Function